BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/ObjectDriver/BaseObject.pm) perl(ExtUtils/MakeMaker.pm) perl(Helios.pm) perl(Helios/Config.pm) perl(Helios/Error/LoggingError.pm) perl(Helios/JobType.pm) perl(Helios/LogEntry/Levels.pm) perl(Helios/Logger.pm) perl(Helios/ObjectDriver.pm) perl(JSON/Tiny.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Time/Local.pm) perl(Time/Piece.pm) perl(base.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name HeliosX-Logger-HiRes
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: enhanced, high-resolution logging for Helios applications
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LH/LHELION/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
HeliosX::Logger::HiRes is a Helios::Logger logging class that provides logging
with high-resolution timestamp precision with a more normalized database
structure.  It also provides the heliosx_logger_hires_search manpage, a command to
view and search for log messages at the command line.

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/H*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

